Get scheduled notification
curl --request GET \
--url https://api.nops.io/v1/notifications/scheduled/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/notifications/scheduled/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/notifications/scheduled/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/notifications/scheduled/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "clxnotif01",
"recipientEmail": "finops@example.com",
"subject": "Weekly canvas report",
"scheduleType": "recurring",
"scheduledAt": "2026-07-20T18:00:00.000Z",
"recurrenceFrequency": "weekly",
"recurrenceTimezone": "America/New_York",
"recurrenceWeekday": 1,
"recurrenceDayOfMonth": null,
"cronExpression": "0 14 * * 1",
"status": "pending",
"sentAt": null,
"errorMessage": null,
"nextAttemptAt": null,
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z",
"canvasId": "clxcanvas01",
"explorerReportId": null,
"includeClaraAnalysis": false,
"body": "Attached is your scheduled canvas PDF.",
"knockWorkflowId": "workflow_abc",
"knockMessageId": null
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Notifications
Get scheduled notification
GET
https://api.nops.io
/
v1
/
notifications
/
scheduled
/
{id}
Get scheduled notification
curl --request GET \
--url https://api.nops.io/v1/notifications/scheduled/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/notifications/scheduled/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/notifications/scheduled/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/notifications/scheduled/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "clxnotif01",
"recipientEmail": "finops@example.com",
"subject": "Weekly canvas report",
"scheduleType": "recurring",
"scheduledAt": "2026-07-20T18:00:00.000Z",
"recurrenceFrequency": "weekly",
"recurrenceTimezone": "America/New_York",
"recurrenceWeekday": 1,
"recurrenceDayOfMonth": null,
"cronExpression": "0 14 * * 1",
"status": "pending",
"sentAt": null,
"errorMessage": null,
"nextAttemptAt": null,
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z",
"canvasId": "clxcanvas01",
"explorerReportId": null,
"includeClaraAnalysis": false,
"body": "Attached is your scheduled canvas PDF.",
"knockWorkflowId": "workflow_abc",
"knockMessageId": null
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Was this page helpful?
⌘I